<?php

/**
 * Active Callbacks
 *
 * @package Zenith Blog
 */

// Theme Options.
function zenith_blog_is_pagination_enabled( $control ) {
	return ( $control->manager->get_setting( 'zenith_blog_enable_pagination' )->value() );
}
function zenith_blog_is_breadcrumb_enabled( $control ) {
	return ( $control->manager->get_setting( 'zenith_blog_enable_breadcrumb' )->value() );
}

// Check if static home page is enabled.
function zenith_blog_is_static_homepage_enabled( $control ) {
	return ( 'page' === $control->manager->get_setting( 'show_on_front' )->value() );
}

// Banner Slider Section.
function zenith_blog_is_banner_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'zenith_blog_enable_banner_section' )->value() );
}
function zenith_blog_is_banner_slider_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'zenith_blog_banner_slider_content_type' )->value();
	return ( zenith_blog_is_banner_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function zenith_blog_is_banner_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'zenith_blog_banner_slider_content_type' )->value();
	return ( zenith_blog_is_banner_section_enabled( $control ) && ( 'category' === $content_type ) );
}

// Categories Section
function zenith_blog_is_categories_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'zenith_blog_enable_categories_section' )->value() );
}

// List Posts Section.
function zenith_blog_is_list_posts_section_enabled( $control ) {
	return ( $control->manager->get_setting( 'zenith_blog_enable_list_posts_section' )->value() );
}
function zenith_blog_is_list_posts_section_and_content_type_post_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'zenith_blog_list_posts_content_type' )->value();
	return ( zenith_blog_is_list_posts_section_enabled( $control ) && ( 'post' === $content_type ) );
}
function zenith_blog_is_list_posts_section_and_content_type_category_enabled( $control ) {
	$content_type = $control->manager->get_setting( 'zenith_blog_list_posts_content_type' )->value();
	return ( zenith_blog_is_list_posts_section_enabled( $control ) && ( 'category' === $content_type ) );
}
